(define-syntax (property stx)
  (syntax-case stx ()
    ((_) (raise-syntax-error #f "property requires at least one name" stx))
    ((_ name)
     (syntax
      (begin
        (define property-name null)
        (define/public name
          (case-lambda
            [() property-name]
            [(value) (set! property-name value)])))))))

(define service-call%
  (class* object% ()
    (property customer-name)
    (property customer-id)
    (super-new)))

(define x (make-object service-call%))
(send x customer-name "Rod Sterling")
(display (send x customer-name))